%define libname %mklibname epplet 0
%define eprefix %_prefix/X11R6
Name: epplets
Summary: Applets for enlightenment
Version: 0.7
Release: 6mdk
Source: %{name}-%{version}.tar.bz2 
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libesound-devel
BuildRequires:	libjpeg-static-devel	
BuildRequires:	imlib-devel
BuildRequires:	texinfo
BuildRequires:	libMesaglut-devel
BuildRequires:  libcdaudio-devel
BuildRequires:  chrpath
Obsoletes: Epplets
Provides: Epplets = %{version}
License: GPL

%description
An epplet is an applet designed specificly for use with enlightenment
This packages contains several, two cpu load meters, two clocks, a network
load monitor, aswell as a E-Biff

%package -n %libname
Group: System/Libraries
Summary: Shared library needed by Enlightenment applets

%description -n %libname
An epplet is an applet designed specificly for use with enlightenment
This packages contains several, two cpu load meters, two clocks, a network
load monitor, aswell as a E-Biff

This is needed for running Epplets.

%package -n %libname-devel
Group: Development/C
Summary: Development libraries for Enlightenment applets
Provides: libepplet-devel = %version-%release
Provides: epplets-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
An epplet is an applet designed specificly for use with enlightenment
This packages contains several, two cpu load meters, two clocks, a network
load monitor, aswell as a E-Biff

This is needed for building Epplets.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export EROOT=%{eprefix}/share/enlightenment
export EBIN=%{eprefix}/bin
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{eprefix} --enable-fsstd --libdir=%eprefix/%_lib --disable-auto-respawn

perl -p -i -e 's/ppp0/lo/g' epplets/E-NetGraph.c

%make

%install
mkdir -p $RPM_BUILD_ROOT/%{eprefix}
export EROOT=$RPM_BUILD_ROOT%{eprefix}/share/enlightenment
export EBIN=$RPM_BUILD_ROOT%{eprefix}/bin
#perl -p -i -e 's/\$\(EROOT\)\//\$\(DESTDIR\)\/\$\(EROOT\)\//g' epplets/Makefile
make install DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT/usr/X11R6/share/enlightenment/epplet_icons
for f in `find . -name '*.icon'`; do
  convert -geometry 16x16 $f $f.png
  mv -f $f.png $f
done
chrpath -d %buildroot%eprefix/bin/*

%post -n %libname -p /sbin/ldconfig   
     
%postun -n %libname -p /sbin/ldconfig  
%clean

%files
%defattr(-,root,root)
%doc ChangeLog
%eprefix/bin/*
%eprefix/share/enlightenment/epplet*

%files -n %libname
%defattr(-,root,root)
%eprefix/lib/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%eprefix/include/*
%eprefix/lib/*.so
%eprefix/lib/*a

%changelog

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 0.7-6mdk 
- Rebuild for new gcc

* Fri May 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-5mdk
- disable respawn (requested by A. S. Budden)
- reenable libtoolize

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-4mdk
- remove rpaths
- add docs
- libify the package
- remove the prefix tag
- fix buildrequires

* Sun Jan 18 2004 Olivier Blin <blino@mandrake.org> 0.7-3mdk
- merge changes from Charles A Edwards
- BuildRequires libMesaglut-devel

* Mon Jan 05 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.7-2mdk
- add version tag to provides

* Mon Dec 08 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.7-1mdk
- 0.7
- prefix=/usr/X11R6
- remane as epplets
- change placement in spec of post postun

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-11mdk
- Fix buildrequires

* Fri Jul 18 2003 David BAUDENS <baudens@mandrakesoft.com> 0.5-10mdk
- Rebuild

* Tue May 28 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5-9mdk
- BuildRequires (fix lib policy 9.0 breakage)

* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5-8mdk
- BuildRequires

* Sun Dec  2 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5-7mdk
- Copyright --> License
- fix %files section (this packages doen't own /usr/bin, etc)
- Capitalize %%description (rpmlint)
- fix permisions on source + .spec file (rpmlint)
- change name of .spec file (rpmlint)

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.5-6mdk
- libtoolization and make macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-5mdk
- automatically added BuildRequires

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-4mdk
- clean spec.
- resize icons to fit in menu.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- fixed group.

* Wed Dec 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Ooops, do not install files to /home (bad bad axalon)

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.5
- rpmlint says strip, we strip
- patch E-NetGraph to default to loopback so it doesn't just exit

* Sun Oct 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Make a specfile..
